Page MenuHomePhabricator

Slow loading because of duplicate requests
Closed, ResolvedPublic

Description

Loading URL takes 9.55 seconds for me. Only after waiting that long, the input fields for username and password are available for text input.

In the list of 25 HTTP requests involved in loading the page, I see duplicates for the following:

Other details:

  • OSX 10.8.4
  • Firefox 21.0

Similarly reproduced in OSX/Chrome 27.

If I recall correctly, the API should only be used for legacy browsers, and not the more modern browsers. Something feels very off here.


Version: master
Severity: critical
URL: https://office.wikimedia.org/w/index.php?title=Special:UserLogin

Details

Reference
bz50391

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 1:48 AM
bzimport set Reference to bz50391.
siebrand created this task.Jun 28 2013, 7:53 PM

content hidden as private in Bugzilla

Created attachment 12688
Load timeline of URL

I see these requests. Load timeline added as screenshot.

GET index.php?title=Special:UserLogin
GET load.php?debug=false&lang=en&modules=ext.rtlcite,wikihiero|ext.uls.nojs|mediawiki.legacy.commonPrint,shared|mediawiki.special.userlogin|mediawiki.ui|mw.PopUpMediaTransform|skins.vector&only=styles&skin=vector&*
GET load.php?debug=false&lang=en&modules=site&only=styles&skin=vector&*
GET load.php?debug=false&lang=en&modules=startup&only=scripts&skin=vector&*
GET load.php?debug=false&lang=en&modules=jquery,mediawiki,Spinner|jquery.triggerQueueCallback,loadingSpinner,mwEmbedUtil|mw.MwEmbedSupport&only=scripts&skin=vector&version=20130620T163512Z
GET load.php?debug=false&lang=en&modules=ext.uls.displaysettings,ime,init,inputsettings,interface,languagenames,languagesettings,preferences,webfonts|ext.uls.webfonts.repository|jquery.client,cookie,delayedBind,i18n,ime,jStorage,json,mwExtension,tipsy,uls,webfonts|jquery.uls.data,grid|mediawiki.Uri,api,notify,user,util|mediawiki.api.parse|mediawiki.legacy.ajax,wikibits|mediawiki.page.startup|skins.vector.js&skin=vector&version=20130629T012149Z&*
GET search-ltr.png?303-4
GET wikimedia-button.png
GET poweredby_mediawiki_88x31.png
GET WikimediaOFFICE-logo135px.png
GET load.php?debug=false&lang=en&modules=ext.eventLogging,navigationTiming|jquery.autoEllipsis,checkboxShiftClick,hidpi,highlightText,makeCollapsible,mw-jump,placeholder,suggestions,tabIndex|mediawiki.hidpi,searchSuggest|mediawiki.page.ready|mobile.desktop|mw.MwEmbedSupport.style|mw.PopUpMediaTransform|schema.NavigationTiming&skin=vector&version=20130628T140249Z&*
GET load.php?debug=false&lang=en&modules=ext.vector.collapsibleNav&skin=vector&version=20130628T140249Z&*
GET load.php?debug=false&lang=en&modules=jquery.ui.button,core,dialog,draggable,mouse,position,resizable,widget&skin=vector&version=20130620T163253Z&*
GET api.php?action=ulslocalization&language=en&namespace=ext-uls
GET api.php?action=ulslocalization&language=en&namespace=ext-uls
GET api.php?action=ulslocalization&language=en&namespace=uls
GET api.php?action=ulslocalization&language=en&namespace=uls
GET api.php?action=ulslocalization&language=en&namespace=uls
GET api.php?action=ulslocalization&language=en&namespace=uls
GET api.php?action=ulslocalization&language=en&namespace=uls
GET api.php?action=ulslocalization&language=en&namespace=ext-uls
GET ime-active.svg?2013-06-20T16:36:40Z
GET icon-language.svg?2013-06-20T16:36:40Z

Attached:

The repeated api calls are because of the unavailability of localized messages from jquery.i18n while the first API is in progress. Assigning to myself.

Change 71283 had a related patch set uploaded by Santhosh:
ULS i18n performance fixes

https://gerrit.wikimedia.org/r/71283

Change 71283 merged by jenkins-bot:
ULS i18n performance fixes

https://gerrit.wikimedia.org/r/71283

(In reply to comment #0)

If I recall correctly, the API should only be used for legacy browsers, and
not
the more modern browsers. Something feels very off here.

We use API for serving json files for all browsers to take advantage of merging json files and avoid potential 404s